/*
 NOME: 7106_PLAFUNO_LIMITE_SEGURAN.SQL

 DESCRIO:
 FUNO QUE RETORNA O LIMITE DE SEGURANA DO DETERMINADO PRODUTO
 
 CRIAO:
 09/07/2013 
*/



create or replace FUNCTION LIMITE_SEGURAN(
   P_CDFILIAL  IN FILIAL.CDFILIAL%TYPE, 
   P_CDARVPROD IN PRODUTO.CDARVPROD%TYPE) RETURN VARCHAR2
AS
   V_NRLIMISEGU   NUMBER;
BEGIN
   V_NRLIMISEGU := 0;
   SELECT
      NVL(MAX(NRLIMISEGU), 0)
   INTO
      V_NRLIMISEGU
   FROM
      LIMISEGPROD,
      PRODUTO
   WHERE
      (LIMISEGPROD.CDPRODUTO = PRODUTO.CDPRODUTO) AND
      (LIMISEGPROD.CDFILIAL = P_CDFILIAL)        AND
      (PRODUTO.CDARVPROD   =    (SELECT  /*+ INDEX (A PK_LIMISEGPROD) INDEX (B PK_PRODUTO) */
                                   MAX(CDARVPROD)
                                FROM
                                   LIMISEGPROD A,
                                   PRODUTO B
                                WHERE
                                   (A.CDPRODUTO = B.CDPRODUTO) AND
                                   (LIMISEGPROD.CDFILIAL = A.CDFILIAL) AND
                                   (INSTR(P_CDARVPROD, A.CDPRODUTO) = 1)) 
                                  );
      RETURN(V_NRLIMISEGU);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LIMITE_SEGURAN','6.05.000'); END;
/
